summaryrefslogtreecommitdiff
path: root/libs/ode-0.16.1/bootstrap
diff options
context:
space:
mode:
authorsanine <sanine.not@pm.me>2022-10-01 20:59:36 -0500
committersanine <sanine.not@pm.me>2022-10-01 20:59:36 -0500
commitc5fc66ee58f2c60f2d226868bb1cf5b91badaf53 (patch)
tree277dd280daf10bf77013236b8edfa5f88708c7e0 /libs/ode-0.16.1/bootstrap
parent1cf9cc3408af7008451f9133fb95af66a9697d15 (diff)
add ode
Diffstat (limited to 'libs/ode-0.16.1/bootstrap')
-rwxr-xr-xlibs/ode-0.16.1/bootstrap28
1 files changed, 28 insertions, 0 deletions
diff --git a/libs/ode-0.16.1/bootstrap b/libs/ode-0.16.1/bootstrap
new file mode 100755
index 0000000..24e91f0
--- /dev/null
+++ b/libs/ode-0.16.1/bootstrap
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+echo "Please make sure that you use automake 1.11 or later"
+ echo "Warnings about underquoted definitions are harmless"
+if [ `uname -s` = Darwin ]; then
+ echo "On OSX, install latest libtool, as the OS provided glibtoolize will not work"
+fi
+
+echo "Running aclocal"
+aclocal -I m4 --install || exit 1
+echo "Running libtoolize"
+libtoolize --copy --automake --install || exit 1
+echo "Running autoheader"
+autoheader || exit 1
+echo "Running automake"
+automake --foreign --add-missing --copy || exit 1
+echo "Running autoconf"
+autoconf || exit 1
+
+echo "Running bootstrap in ou directory"
+(cd ou && ./bootstrap)
+
+if [ -d libccd ]; then
+ echo "Running bootstrap in libccd directory"
+ (cd libccd && ./bootstrap)
+fi;
+
+echo "Now you are ready to run ./configure"